Index: src/sas/sasgui/perspectives/calculator/calculator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/calculator.py	(revision a0c1e1de9eb99665b31c85c4fddcfca740db719c)
+++ src/sas/sasgui/perspectives/calculator/calculator.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -28,4 +28,6 @@
 import logging
 
+logger = logging.getLogger(__name__)
+
 class Plugin(PluginBase):
     """
@@ -36,5 +38,5 @@
         PluginBase.__init__(self, name="Calculator")
         # Log startup
-        logging.info("Calculator plug-in started")
+        logger.info("Calculator plug-in started")
         self.sub_menu = "Tool"
         self.data_edit_frame = None
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -38,4 +38,6 @@
 from sas.sasgui.guiframe.events import NewPlotEvent
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+logger = logging.getLogger(__name__)
 
 _BOX_WIDTH = 76
@@ -699,5 +701,5 @@
                 ax = Axes3D(panel.figure)
             except:
-                logging.error("PlotPanel could not import Axes3D")
+                logger.error("PlotPanel could not import Axes3D")
                 raise
         panel.dimension = 3
@@ -1344,5 +1346,5 @@
             msg = "OMF Panel: %s" % sys.exc_value
             infor = 'Error'
-            #logging.error(msg)
+            #logger.error(msg)
             if self.parent.parent != None:
                 # inform msg to wx
@@ -1696,5 +1698,5 @@
                 msg = "%s cannot write %s\n" % ('Generic Scattering', str(path))
                 infor = 'Error'
-                #logging.error(msg)
+                #logger.error(msg)
                 if self.parent.parent != None:
                     # inform msg to wx
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 25b9707a6650b214d61ed53e8bbc3e8f6d20d131)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision c1d5aeab1ee75d2bf50cd73195f34c011918657d)
@@ -42,13 +42,13 @@
         """
         parent = self.parent
-        if parent == None:
+        if parent is None:
             location = os.getcwd()
         else:
             location = parent._default_save_location
         path_list = self.choose_data_file(location=location)
-        if path_list == None:
+        if path_list is None:
             return
-        if len(path_list) >= 0 and not(path_list[0]is None):
-            if parent != None:
+        if len(path_list) >= 0 and path_list[0] is not None:
+            if parent is not None:
                 parent._default_save_location = os.path.dirname(path_list[0])
         err_msg = ''
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision ddbac6633a1e7ec42b99bb39f46b9889ccf26084)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -32,4 +32,6 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 from .pyconsole import show_model_output, check_model
+
+logger = logging.getLogger(__name__)
 
 
@@ -985,5 +987,5 @@
                 exec "from %s import Model" % name
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
 
         # Prepare the messagebox
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision a0c1e1de9eb99665b31c85c4fddcfca740db719c)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -34,4 +34,6 @@
 from sas.sasgui.perspectives.calculator import calculator_widgets as widget
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+logger = logging.getLogger(__name__)
 
 _BOX_WIDTH = 100
@@ -1098,5 +1100,5 @@
                 new_string.append(value)
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
 
         return new_string
@@ -1140,5 +1142,5 @@
                         return out
                 except:
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
 
     def _on_xy_coordinate(self, event=None):
@@ -1318,5 +1320,5 @@
                 except:
                     # Skip non-data lines
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
 
             return [wavelength, intensity]
